program MOP02_test


      IMPLICIT NONE

      include 'Toolkit.f'
      include 'hdfeos5.inc'
      include 'hdfeos5_64.inc'


      integer :: fid, swid, sdid, ierr
      integer*8 :: dimsize, nprs1
      integer*8 :: count(1), start(1), stride(1)
      real :: press(9)

      integer :: he5_swopen, he5_swcreate, he5_swdefdim, he5_swdefgfld, &
                 he5_swdefdfld, he5_swdefdimscale, he5_swsetdimscale, he5_swwrfld, &
                 he5_swdetach, he5_swclose

      DATA press/900.,800.,700.,600.,500.,400.,300.,200.,100./

      ierr = 0
      fid  = -1
      swid = -1
      sdid = -1

      !----------create file & dimension---------------------------------
      fid = he5_swopen("MOP02.test.he5", HE5F_ACC_TRUNC)
      swid = he5_swcreate(fid, "MOP02")
      dimsize = 9
      ierr = he5_swdefdim(swid, 'nPrs', dimsize)

      !------------geo-fields------------------------------------
      !ierr = he5_swdefgfld(swid, "Pressure", "nPrs", "nPrs", HE5T_NATIVE_FLOAT,0)
      ierr = he5_swdefgfld(swid, "Pressure", "nPrs", " ", HE5T_NATIVE_FLOAT,0)

      !-------------data fields-----------------------------------
      !ierr = he5_swdefdfld(swid, "PressureGrid", "nPrs", "nPrs", HE5T_NATIVE_FLOAT, 0)
      ierr = he5_swdefdfld(swid, "PressureGrid", "nPrs", " ", HE5T_NATIVE_FLOAT, 0)

      !---------dim scale-------------------------
      nprs1 = 9
      !ierr = he5_swdefdimscale(swid, "nPrs", nprs1, HE5T_NATIVE_FLOAT, press)
      ierr = he5_swsetdimscale(swid, "Pressure", "nPrs", nprs1, HE5T_NATIVE_FLOAT, press)
      ierr = he5_swsetdimscale(swid, "PressureGrid", "nPrs", nprs1, HE5T_NATIVE_FLOAT, press)

      ! ---- write some const fields ----- 
      start(1) = 0
      stride(1) = 1
      count(1) = nprs1
      ierr = he5_swwrfld(swid, "PressureGrid", start, stride, count, press)
      ierr = he5_swwrfld(swid, "Pressure", start, stride, count, press)
      
      !---------close file-------------------------
      ierr = he5_swdetach(swid)
      ierr = he5_swclose(fid)


end program MOP02_test
